
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>通过ASP.NET连接Oracle数据库实例教程 / iVAN</title>

    <meta name="description" content="通过ASP.NET连接Oracle数据库实例教程 通过ASP.NET连接Oracle数据库实例教程 长期以来,我一直用的是 MS SQL Server / Access 数据库,通过.NET 访问MS自家的东西几乎没碰到过什么麻烦.最近项目中要用 Oracle 作为数据库,学习研究了一些 .NET 访问Oracle 的东西,发现问题倒真的不少. 1.System.Data.OracleClient 和 System.Data.OleDb 命名空间 虽然通过这两个命名空间的类都可以访问 Oracle 数据库,但和 SQL Server 类似的(S">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">通过ASP.NET连接Oracle数据库实例教程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>通过ASP.NET连接Oracle数据库实例教程</h3>
<p>长期以来，我一直用的是 MS SQL Server / Access 数据库，通过.NET 访问MS自家的东西几乎没碰到过什么麻烦。最近项目中要用 Oracle 作为数据库，学习研究了一些 .NET 访问Oracle 的东西，发现问题倒真的不少。 <br />1。System.Data.OracleClient 和 System.Data.OleDb 命名空间<br />　　虽然通过这两个命名空间的类都可以访问 Oracle 数据库，但和 SQL Server 类似的（System.Data.SqlClient 命名空间的类效率要比 System.Data.OleDb 命名空间中的类高一些），System.Data.OracleClient 命名空间中的类要比 System.Data.OleDb 命名空间的类效率高一些（这一点我没有亲自验证，但大多数地方都会这么说，而且既然专门为 Oracle 作的东西理论上也应该专门作过针对性的优化）。<br />　　当然还有另一点就是从针对性上说，System.Data.OracleClient 要更好一些：<br />　　比如数据类型，System.Data.OleDb.OleDbType 枚举中所列的就没有 System.Data.OracleClient.OracleType 枚举中的那些有针对性；另外，Oracle 的Number 类型如果数字巨大，超出 .NET 数据类型范围的情况中，就必须使用System.Data.OracleClient 中的专门类 -- OracleNumber 类型。<br />　　好了，不再赘述这两个的比较，下面主要讨论System.Data.OracleClient 命名空间中的类型，即 ADO.NET for Oracle Data Provider (数据提供程序)。<br />2。数据库连接：<br />　　无论是 System.Data.OleDb 还是 System.Data.OracleClient 访问 Oracle 都需要在 .NET 运行的机器（ASP.NET 中就是 Web 服务器）安装 Oracle 客户端组件。（这一点是和 MS 的两种数据库不同的，MS 的东西安装 MDAC: Microsoft Data Access Component 2.6 以上版本后，就无须再安装 SQL Server 客户端或者 Office 软件，就能访问。）<br />System Requirements：<br />　　(1)如用 System.Data.OracleClient 访问 Oracle，客户端组件版本应在 Oracle 8i Client Release 3 (8.1.7)以上版本。MS 只确保访问 Oracle 8.1.6、Oracle 8.1.7、Oracle 9i 服务器时的情况。MDAC 2.6 以上。<br />　　(2)如用 System.Data.OleDb 访问 Oracle，客户端组件版本 7.3.3.4.0 以上或 8.1.7.4.1 以上。MDAC 2.6 以上。<br />　　如服务器为 Oracle8i 以上，客户端组件版本应为 8.0.4.1.1c。<br />　　在 .NET 运行的机器中，安装 Oracle 客户端，然后打开 Net Manager (Oracle 9i) / Easy Config (Oracle 8i) 按你以前的经验设置本地服务的映射（这里的服务名将用于数据库连接串）。<br />　　System.Data.OracleClient 中访问 Oracle 数据库的连接串是：<br />User ID=用户名; Password=密码; Data Source=服务名<br />　　(上述为一般的连接串，详细的连接串项目可以在 System.Data.OracleClient.OracleConnection.ConnectionString 属性的文档中找到。)<br />　　System.Data.OleDb 中的访问 Oracle 数据库的连接串是：<br />Provider=MSDAORA.1; User ID=用户名; Password=密码; Data Source=服务名<br />3。Oracle 中的数据类型：<br />　　Oracle 的数据类型和 SQL Server 相比，要“奇怪”一些：SQL Server 的大多数据类型很容易找到 .NET 中比较接近的类型，Oracle 中的类型就离 .NET 类型远了许多，毕竟 Oracle 是和 Java 亲近的数据库。<br />number: 数字类型，一般是 Number(M,N)，M是有效数字，N是小数点后的位数（默认0），这个是按十进制说的。 <br />nvarchar2: 可变长字符型（Unicode），这个比较像 SQL Server 的 nvarchar（但不知 Oracle 为什么加了个“2”）。（去掉“n”为非 Unicode 的，下同。） <br />nchar: 定长字符型(Unicode)。 <br />nclob: “写作文”的字段，存储大量字符（Unicode）时用。 <br />date: 日期类型，比较接近 SQL Server 的 datetime。<br />　　Oracle 中字段不能是 bit 或者 bool 之类的类型，一般是 number(1) 代替的。<br />　　和 SQL Server 一样在 SQL 命令中，字符类型需要用单引号（'）隔开，两个单引号（''）是单引号的字符转义（比如： I'm fat. 写入一个 SQL 命令是： UPDATE ... SET ...='I''m fat.' ...）。<br />　　比较特殊的是日期类型：比如要写入 2004-7-20 15:20:07 这个时刻需要如下写：<br />UPDATE ... SET ... = TIMESTAMP '2004-7-20 15:20:07' ...<br />注意这里使用了 TIMESTAMP 关键字，并使用单引号隔开；另外请注意日期格式，上面的格式是可识别的，Oracle 识别的格式没有 SQL Server 那般多。这是和 SQL Server 不同的地方。<br />顺便提一句：Access 中的日期类型是用井号(#)隔开的，UPDATE ... SET ... = #2004-7-20 15:20:07# ...<br />4。访问 Oracle 过程/函数（1）<br />　　SQL Server 作程序时经常使用存储过程，Oracle 里也可以使用过程，还可以使用函数。Oracle 的过程似乎是不能有返回值的，有返回值的就是函数了（这点有些像 BASIC，函数/过程区分的很细致。SQL Server 存储过程是可以有返回值的）。<br />.NET 访问 Oracle 过程/函数的方法很类似于 SQL Server，例如：<br />OracleParameter[] parameters = {<br />    new OracleParameter("ReturnValue", OracleType.Int32, 0, ParameterDirection.ReturnValue, true, 0, 0, "",<br />        DataRowVersion.Default, Convert.DBNull )<br />    new OracleParameter("参数1", OracleType.NVarChar, 10),<br />    new OracleParameter("参数2",  OracleType.DateTime),<br />    new OracleParameter("参数3",  OracleType.Number, 1)<br />};<br />parameters[1].Value = "test";<br />parameters[2].Value = DateTime.Now;<br />parameters[3].Value = 1;                        // 也可以是 new OracleNumber(1);<br />OracleConnection connection = new OracleConnection( ConnectionString );<br />OracleCommand command = new OracleCommand("函数/程名", connection);<br />command.CommandType = CommandType.StoredProcedure;<br />foreach(OracleParameter parameter in parameters)<br />    command.Parameters.Add( parameter );<br />connection.Open();<br />command.ExecuteNonQuery();<br />int returnValue = parameters[0].Value; //接收函数返回值<br />connection.Close();<br />　　Parameter 的 DbType 设定请参见 System.Data.OracleClient.OracleType 枚举的文档，比如：Oracle 数据库中 Number 类型的参数的值可以用 .NET decimal 或 System.Data.OracleClient.OracleNumber 类型指定； Integer 类型的参数的值可以用 .NET int 或 OracleNumber 类型指定。等等。<br />　　上面例子中已经看到函数返回值是用名为“ReturnValue”的参数指定的，该参数为 ParameterDirection.ReturnValue 的参数。<br />5。访问 Oracle 过程/函数 (2)<br />　　不返回记录集（没有 SELECT 输出）的过程/函数，调用起来和 SQL Server 较为类似。但如果想通过过程/函数返回记录集，在 Oracle 中就比较麻烦一些了。<br />在 SQL Server 中，如下的存储过程：<br />CREATE PROCEDURE GetCategoryBooks<br />(<br />    @CategoryID int<br />)<br />AS<br />SELECT * FROM Books<br />WHERE CategoryID = @CategoryID<br />GO<br />　　在 Oracle 中，请按以下步骤操作：<br />(1)创建一个包，含有一个游标类型：（一个数据库中只需作一次）<br />CREATE OR REPLACE PACKAGE Test<br />  AS<br />      TYPE Test_CURSOR IS REF CURSOR;<br />END Test;<br />(2)过程：<br />CREATE OR REPLACE PROCEDURE GetCategoryBooks<br />(<br />    p_CURSOR out Test.Test_CURSOR,    -- 这里是上面包中的类型，输出参数<br />    p_CatogoryID INTEGER<br />)<br />AS<br />BEGIN<br />    OPEN p_CURSOR FOR<br />          SELECT * FROM Books<br />          WHERE CategoryID=p_CatogoryID;<br />END GetCategoryBooks;<br />(3).NET 程序中：<br />OracleParameters parameters = {<br />    new OracleParameter("p_CURSOR", OracleType.CURSOR, 2000, ParameterDirection.Output, true, 0, 0, "",<br />          DataRowVersion.Default, Convert.DBNull),<br />    new OracleParameter("p_CatogoryID", OracleType.Int32)<br />};<br />parameters[1].Value = 22;<br />OracleConnection connection = new OracleConnection( ConnectionString );<br />OracleCommand command = new OracleCommand("GetCategoryBooks", connection);<br />command.CommandType = CommandType.StoredProcedure;<br />foreach(OracleParameter parameter in parameters)<br />    command.Parameters.Add( parameter );<br />connection.Open();<br />OracleDataReader dr = command.ExecuteReader();<br />while(dr.Read())<br />{<br />    // 你的具体操作。这个就不需要我教吧？<br />}<br />connection.Close();<br />　　另外有一点需要指出的是，如果使用 DataReader 取得了一个记录集，那么在 DataReader 关闭之前，程序无法访问输出参数和返回值的数据。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:45:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e5%9e%8b/" title="类型">类型</a>, <a href="https://www.iamivan.net/tag/data/" title="data">data</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/oledb-%e8%bf%9e%e6%8e%a5%e4%b8%b2%e7%9a%84%e6%a0%bc%e5%bc%8f/" title="oledb 连接串的格式">oledb 连接串的格式</a>, <a href="https://www.iamivan.net/tag/data%e5%8f%82%e6%95%b0%e7%b1%bb%e5%9e%8b/" title="data参数类型">data参数类型</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>通过ASP.NET连接Oracle数据库实例教程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7r6qM.html" rel="bookmark">asp&period;net 连接Oracle数据库实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				连接oracle数据库很简单,如下  代码如下 复制代码 connectionString=&quot;Password=czh;User ID=czh;Data Source=(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=192.168.168.211)(PORT=1521)))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=skydream)));&quot;   HOST:服务器IP或者服务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlEWnp.html" rel="bookmark">Asp&period;Net连接Oracle数据库的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|oracle|数据|数据库 Asp.Net连接Oracle数据库的例子 刚接触asp.net,发现在 .Net Framework 1.1版中,直接就有System.Data.OracleClient类库, 用于访问Oracle数据库,不过我这里好像还是1.0 版本的,不支持该对象. 这里是一个通过oledb访问数据库的例子,与在asp中的差不多,能够访问大多数的数据库,比如access之类的. &lt;%@ Page Language=&quot;VB&quot; %&gt; &lt;%			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3RE4z.html" rel="bookmark">c&num;连接 oracle 数据库-asp&period;net 连接 oracle数据库出现的问题 求大神指教  急急急！！！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.net 连接 oracle数据库出现的问题 求大神指教 急急急!!! 我的开发工具是vs2015 开发语言是C# 测试连接代码的时候出现了这样的错误 本地服务器数据库是 oracle 11G 求大神指教啊!!! 感激不尽. using System; using System.Collections.Generic; using System.Linq; using System.Web; using System.Web.UI; using System.Web.UI.Web			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boq7x3p.html" rel="bookmark">谁有asp&period;net连接oracle数据库操作类，要存储过程模式的？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 谁有asp.net连接oracle数据库操作类,要存储过程模式的? 解决方案 解决方案二:这个还没有用过,帮你up把解决方案三:我也没有用过oracle			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEdBKoz.html" rel="bookmark">python连接oracle数据库实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了python连接oracle数据库的方法,分享给大家供大家参考.具体步骤如下: 一.首先下载驱动:(cx_Oracle) http://www.python.net/crew/atuining/cx_Oracle/ 不过要注意一下版本,根据你的情况加以选择. 二.安装: 首先配置oracle_home环境变量 执行那个exe安装程序就可以了,它会copy一个cx_Oracle.pyd到Libsite-packages目录下. 如果是linux,执行 复制代码 代码如下: pytho			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmEW7Bp.html" rel="bookmark">Java连接Oracle数据库实例解析&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据库的操作是当前系统开发必不可少的开发部分之一,尤其是在现在的大数据时代,数据库尤为重要.但是你真的懂得Java与数据库是怎么连接的么? 先给大家一个数据库连接的简单实例: package com.java.dbtest; import java.sql.Connection; import java.sql.DriverManager; import java.sql.PreparedStatement; import java.sql.ResultSet; import java.sql.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeGw9M.html" rel="bookmark">asp&period;net连接sql数据库实例基础教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|基础教程|教程|sql数据库 以下代码演示了如何使用asp.net连接sql server2000数据库并操作的代码实例, 和asp.net初学者分享一下. asp.net基础教程,连接SQL Server2000数据库实例代码分析: 以下为代码内容:&lt;%@ Import Namespace=&quot;System.Data&quot; %&gt; &lt;%@ Import NameSpace=&quot;System.Data.SqlClient&quot; %&gt; &lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AxWAp.html" rel="bookmark">asp&period;net 连接Oracle数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  代码如下   connectionString=&quot;Password=czh;User ID=czh;Data Source=(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=192.168.168.211)(PORT=1521)))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=skydream)));&quot; HOST:服务器IP或者服务器名称 SERVICE_NAME:oracl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0B1BM.html" rel="bookmark">PHP连接Access数据库实例教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当客户网站是 ASP+ACCESS平台如何移植到PHP平台呢?首先我们要解决的是PHP连接Access数据库问题,在不改变数据库的情况下,PHP如何与Access数据库建立连接? PHP提供多种连接数据库解决方案,在此详解如何使用PHP ADOdb.PDO.ODBC与Access数据库建立连接的代码实例. 准备工作 一.使用PHP ADOdb连接Access数据库 1.首先你需要安装PHP ADOdb类库. 2.使用PHP ADOdb连接Access数据库代码如下 &lt;?     include(			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNqxdb.html" rel="bookmark" class="title">struts中文乱码问题解决</a>
					<div>
						解决|问题|中文|中文乱码 近日,使用struts 1.1,发现讨厌的中文乱码问题,在form的传送过程和入库时候出现. 就我在网络上找的方法罗列如下: (Tomcat 5.0.28+struts 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlryVz.html" rel="bookmark" class="title">利用&OpenCurlyDoubleQuote;PHP彩蛋&rdquo;进行敏感信息获取</a>
					<div>
						关于&quot;PHP彩蛋&quot;的说法也许很多老PHPer已经都知道或听说了,好像是早在PHP4版本的时候就有彩蛋了,挺好玩儿的,可能近年来逐渐被人们遗忘了,其实彩蛋功能在PHP脚本引擎默认情况 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVAyYp.html" rel="bookmark" class="title">从医疗网站谈如何降低网页跳出率</a>
					<div>
						网页(这里具体到每个页面)的跳出率是搜索引擎衡量网站质量.给予网页排名的一个重要标准.一个跳出率高的页面,在搜索引擎里面,是很难获得比较好的排名.比如,你的网页本来是排在了第一的位置,但是由于各种原因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqxDkb.html" rel="bookmark" class="title">PHP语言重新升温</a>
					<div>
						IBM has teamed up with a little-known open-source scripting language company, Zend Technologies Ltd. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwllWdb.html" rel="bookmark" class="title">PHP&plus;MySQL代码部署在Linux&lpar;Ubuntu&rpar;上注意事项</a>
					<div>
						最近帮同学做一个网站,同学买的是阿里云服务器,Linux发行版是Ubuntu12.04.我在本地把程序写好,都调试好了.然后他让我自己发布和部署.之前在大学里上操作系统课程时,也用过一段时间的Ubun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx73Ab.html" rel="bookmark" class="title">企业对IT服务管理认识的误区</a>
					<div>
						错误认识1:&quot;基于ITIL的ITSM或许仅适合特定的领域/行业,对我们并不适用&quot; 不同的国家和不同的行业,在文化.商业理念和政府运作方面存在差异.然而,从技术属性来看,IT系统之间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7dY2b.html" rel="bookmark" class="title">安全策略的检查</a>
					<div>
						客户有台3600路由忽然速度奇慢,检查线路.重启动之后发现IOS没了...不得已用Xmodem把IOS重新传上去,启动正常,并没有发现硬件有问题.仔细检查该路由器的配置,发现有这样两个配置指令: sn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwdwRz.html" rel="bookmark" class="title">使用IE浏览UTF-8编码网页出现空白的解决方法</a>
					<div>
						一个方面是服务器解决: Apache设置:AddDefaultCharset UTF-8 另外一个方面见下面事件,我也碰到过: UTF-8 的网页,让别人来访问,结果很多人都说进入后一片空白,发现是因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6jRjz.html" rel="bookmark" class="title">如何在Linux操作系统中安装MySQL数据库</a>
					<div>
						首先打击我的就是rpm安装,它告诉我发现了Mysql版本冲突,安装无法继续.我用rpm -q 查询后,想 通过rpm -e 来删除系统自带的版本(3.x.x),但是rpm又无情的返回了一大堆其他的错误 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj75g0M.html" rel="bookmark" class="title">centos中下载软件而不安装的方法</a>
					<div>
						今天来说下在centos下下载软件,不安装的方法: 方法一:通过yum自带一个工具:yumdownloader [root@web1 ~]#  rpm -qa |grep yum-utils [roo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kD4Az.html" rel="bookmark" class="title">首页设计的可用性和PET</a>
					<div>
						网站的首页是一个让人头疼的东西.有时它看起来很简单:首页就是网站内容的整合,一个产品经理随便从网站里拿点东西出来,就能堆出一个看上去靠 谱的首页.也正因此,它往往非常麻烦:很多人都可以发表自己的见解, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrY2dp.html" rel="bookmark" class="title">体验Win8 OneNote 高效率大功能</a>
					<div>
						  今天正式开玩OneNote.最早见到Win8系统Metro的OneNote应用,对其简洁的界面深表喜爱!很清楚的笔记本--分区--页面管理层级上手很容易,接下来Win8e.com会有几篇文章深入挖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2O7OM.html" rel="bookmark" class="title">Win8系统如何创建宽带连接快捷方式</a>
					<div>
						  1.点击桌面计算机图标,然后在出现的计算机窗口中打开控制面板! 2.在控制面板中将查看方式切换为大图标,然后打开网络和共享中心! 3.在网络和共享中心中点击设置新的连接或网络! 4.接下来根据下图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBKrOz.html" rel="bookmark" class="title">Linux中的错误：toomanyopenfiles</a>
					<div>
						  这个问题的出现原因是system对程序打开files数量的限制问题. 用 ulimit -a 命令可以查看 html --------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW7PRb.html" rel="bookmark" class="title">有160WiFi 过年回家上网无须跑流量</a>
					<div>
						俗话说:有钱没钱,回家过年.但回家就意味着各种开销,这其中包含了来回交通费用.春节给亲友的压岁钱,还有给自己购置衣物和朋友间聚会的花费.这些都不是最重要的,一项调查显示,59%的网民在担忧回家流量不够 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjBjBp.html" rel="bookmark" class="title">max hl-数据结构二叉树求二叉树深度算法</a>
					<div>
						问题描述 数据结构二叉树求二叉树深度算法 c:documents and settingsadministratoroo.cpp(79) : error C2065: 'max' : undeclar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm64Gqz.html" rel="bookmark" class="title">各家云端同步服务付费储存空间方案比较</a>
					<div>
						今天凌晨 Google 正式推出 http://www.aliyun.com/zixun/aggregation/13938.html&quot;&gt;Google Drive 云端档案同步服务,加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlYB9b.html" rel="bookmark" class="title">Symantec Backup Exec Agent For Linux防火墙问题</a>
					<div>
						    如果在Unix或Linux安装配置好了Symantec Backup Exec Agent For Linux,但是在Symantec Backup Exec服务端无法访问Symantec B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qdxnp.html" rel="bookmark" class="title">网站建设从跳出率分析用户体验</a>
					<div>
						网站建设做得好不好,最重要的是看用户体验效果,其中,网站跳出率是衡量用户体验的一个重要参考数据,通常跳出率是指在一段时间内,进入网站之后直接退出的用户与浏览总用户数的比例,可见,跳出率可不是越高越好, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWrVvp.html" rel="bookmark" class="title">Linux檔案權限</a>
					<div>
						因為 Linux 是多人多工的 OS, 所以, 檔案系統必須要有一套嚴密的保護措施, 以免, 因為有意或無意的人為破壞, 造成混亂及損失. . Linux 將檔案分成三種身份.四種權限: 三種身份是: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QAymp.html" rel="bookmark" class="title">源代码-为什么这个循环在第八次的时候显示x和y不等&comma;其余时候都相等&quest;</a>
					<div>
						问题描述 为什么这个循环在第八次的时候显示x和y不等,其余时候都相等? 源代码: #include int main() { double x = 23.001, y = 24.001, z = 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeYLvb.html" rel="bookmark" class="title">azure-如和将自己的网站挂到Azure虚拟机上</a>
					<div>
						问题描述 如和将自己的网站挂到Azure虚拟机上 小白有一个脑残的问题,望大神指导 因为Azure虚拟机有一个公用虚拟IP和一个内部IP,那我我应该怎样设置解析才可以将网站挂到Azure虚拟机上. 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4e16z.html" rel="bookmark" class="title">MySQL注入攻击与防御</a>
					<div>
						一.注入常用函数与字符 下面几点是注入中经常会用到的语句 控制语句操作(select, case, if(), ...) 比较操作(=, like, mod(), ...) 字符串的猜解操作(mid( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYvRnp.html" rel="bookmark" class="title">wayos</a>
					<div>
						问题描述 我一直用的wayos软路由,想换一个wayos硬路由,请问我的wayos系统参数能恢复到新的硬路由上吗?怎么操作?请高手指点,谢谢! 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeQ5PM.html" rel="bookmark" class="title">新浪宕机暴露开放平台下的潜在危机</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 12月1日上午10时,新浪微博突然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBknyJM.html" rel="bookmark" class="title">Python编程中的反模式实例分析&lowbar;python</a>
					<div>
						本文实例讲述了Python编程中的反模式.分享给大家供大家参考.具体分析如下: Python是时下最热门的编程语言之一了.简洁而富有表达力的语法,两三行代码往往就能解决十来行C代码才能解决的问题:丰富 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zk53b.html" rel="bookmark" class="title">将Sublime Text 2配置为Java的IDE的教程&lowbar;java</a>
					<div>
						Sublime Text 2 是我最喜欢用来编码的文本编辑器,如果你尝试使用后相信你也会喜欢上它的.在这篇文章中我们将讨论如何在 Sublime Text 2 中编译和运行 Java 程序. 第一步: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6nOgM.html" rel="bookmark" class="title">利用js实现前台动态添加文本框&comma;后台获取文本框内容&lpar;示例代码&rpar;&lowbar;javascript技巧</a>
					<div>
						一共两个页面,分别如下: 一.创建页面create.jsp 复制代码 代码如下: &lt;%@ page language=&quot;java&quot; import=&quot;java.uti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0YqAp.html" rel="bookmark" class="title">数据从MySQL迁移到Oracle 需要注意什么&lowbar;Mysql</a>
					<div>
						将数据从MySQL迁移到Oracle的注意事项,有如下几点 1．自动增长的数据类型处理 MYSQL有自动增长的数据类型,插入记录时不用操作此字段,会自动获得数据值.ORACLE没有自动增长的数据类型, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBVOkb.html" rel="bookmark" class="title">一款asp&period;net GridView 分页实例代码</a>
					<div>
						一款asp教程.net gridview 分页实例代码 本款gridview 分页实例,他从数据库教程到分页sql全部有,只要你按照本实例来做,完全可以实例asp.net教程 gridview 分页功 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
